<?php

declare(strict_types=1);

namespace Gls\GlsPoland\PrestaShop\Checkout\Message;

final class UpdateParcelShopChoiceCommand
{
    /**
     * @var \Cart
     */
    private $cart;

    /**
     * @var string
     */
    private $parcelShopId;

    /**
     * @var int|null
     */
    private $carrierReferenceId;

    public function __construct(\Cart $cart, string $parcelShopId, ?int $carrierReferenceId = null)
    {
        $this->cart = $cart;
        $this->parcelShopId = $parcelShopId;
        $this->carrierReferenceId = $carrierReferenceId;
    }

    public function getCart(): \Cart
    {
        return $this->cart;
    }

    public function getParcelShopId(): string
    {
        return $this->parcelShopId;
    }

    public function getCarrierReferenceId(): ?int
    {
        return $this->carrierReferenceId;
    }
}
